List products
curl --request GET \
--url https://merchant-api-prod.anyway.sh/v1/product \
--header 'X-API-Key: <api-key>'import requests
url = "https://merchant-api-prod.anyway.sh/v1/product"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://merchant-api-prod.anyway.sh/v1/product', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"current": 123,
"page": 123,
"pages": 123,
"records": [
{
"createdAt": "<string>",
"description": "<string>",
"id": "<string>",
"name": "<string>",
"orgId": "<string>",
"paymentLinks": [
{
"amount": 123,
"createdAt": "<string>",
"currency": "<string>",
"flexibleAmount": true,
"isActive": true,
"name": "<string>",
"paymentLinkUrl": "<string>",
"pricingId": "<string>",
"pricingType": "<string>",
"provider": "<string>"
}
],
"productId": "<string>",
"status": "<string>",
"updatedAt": "<string>"
}
],
"size": 123,
"total": 123
},
"error": {
"code": "<string>",
"message": "<string>"
},
"message": "<string>",
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"message": "<string>"
},
"message": "<string>",
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"message": "<string>"
},
"message": "<string>",
"success": true
}Merchant API 端点
列出产品
列出当前组织中已发布、草稿或已归档的产品。
GET
/
v1
/
product
List products
请使用属于目标组织的 API 密钥进行认证。
GET /v1/products 仍作为已弃用别名提供相同的查询和响应契约。新集成应使用
GET /v1/product。⌘I